# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rivetkit-client-protocol"
version = "2.3.1"
authors = ["Rivet Gaming, LLC <developer@rivet.dev>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Client protocol types for RivetKit"
homepage = "https://rivet.dev"
readme = false
license = "Apache-2.0"
repository = "https://github.com/rivet-dev/rivet"
resolver = "2"

[lib]
name = "rivetkit_client_protocol"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.82"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_bare]
version = "0.5.0"

[dependencies.vbare]
version = "0.0.4"

[build-dependencies.vbare-compiler]
version = "0.0.5"
package = "rivet-vbare-compiler"
